org.eclipse.cdt.core.dom.ast

## Interface IASTDeclarationListOwner

All Superinterfaces:
  IASTNode

All Known Subinterfaces:
  IASTCompositeTypeSpecifier, IASTTranslationUnit, ICASTCompositeTypeSpecifier, ICPPASTCompositeTypeSpecifier, ICPPASTLinkageSpecification, ICPPASTNamespaceDefinition, ICPPASTTranslationUnit

    public interface IASTDeclarationListOwner
    extends IASTNode

Common interface for parents of declaration lists.

Since:
  5.1

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addDeclaration(IASTDeclaration declaration)` Adds a declaration to the owner.
`IASTDeclaration[]` `getDeclarations(boolean includeInactive)` Returns the array of declarations.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, copy, copy, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Method Detail

#### addDeclaration

    void addDeclaration(IASTDeclaration declaration)

Adds a declaration to the owner. May only be called as long as the ast is not frozen.

#### getDeclarations

    IASTDeclaration[] getDeclarations(boolean includeInactive)

Returns the array of declarations.

Parameters:
  `includeInactive` - whether to include declarations from inactive code branches.
Since:
  5.1
See Also:
  `ITranslationUnit.AST_PARSE_INACTIVE_CODE`